Description

The list of products classified under book is really misleading. @bruna.baldacci@isti.cnr.it bring this issue to my mind. 

See https://openportal.isti.cnr.it/results?qf=type&qv=Book

It contains mainly 

Editorial in Journals e.g. https://openportal.isti.cnr.it/doc?id=people______::c069ba58da491c0398fa1c976468c9c3

(Conference) Proceedings e.g. https://openportal.isti.cnr.it/doc?id=people______::88c691b08c9e4a54d724985fea2f3df7

We should define and implement a strategy aiming at avoiding those items to be classified as books.

I kindly ask @michele.artini@isti.cnr.it to document here the current mapping schema between People typologies and Open Portal

typologies thus to help the discussion. 

Related issues:

Related to ISTI Open Access - Feature #19950: Reconsider the harvesting pipel... Completed Oct 12, 2020

History

#1 - May 24, 2019 08:51 AM - Michele Artini

Current mapping schema:

PEOPLE TERM                               -> OPENPORTAL TERM

"info:eu-repo/semantics/article"          -> "Article" 

"info:eu-repo/semantics/bachelorThesis"   -> "Bachelor thesis"

"info:eu-repo/semantics/book"             -> "Book"

"info:eu-repo/semantics/conferenceObject" -> "Conference object"

"info:eu-repo/semantics/doctoralThesis"   -> "Doctoral thesis"

"info:eu-repo/semantics/masterThesis"     -> "Master thesis"

"info:eu-repo/semantics/other"            -> "Other"

"info:eu-repo/semantics/bookPart"         -> "Part of book or chapter of book": 

"info:eu-repo/semantics/patent"           -> "Patent"

"info:eu-repo/semantics/report"           -> "Report"

#2 - May 24, 2019 08:55 AM - Michele Artini

This is the native record of the first publication (Editorial in Journals):

<oai_dc:dc xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/" xmlns=""

                 xmlns:dc="http://purl.org/dc/elements/1.1/"

                 xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/oai_dc/ http://www.openarchives.org/O

AI/2.0/oai_dc.xsd">

          <dc:type>info:eu-repo/semantics/book</dc:type>

          <dc:title>Editorial - ACM Journal on Computing and Cultural Heritage</dc:title>

          <dc:creator>Scopigno R.</dc:creator>

          <dc:language>eng</dc:language>

          <dc:description>no available</dc:description>

          <dc:source>2012</dc:source>

          <dc:source>info:cnr-pdr/source/autori:Scopigno R./titolo:Editorial - ACM Journal on Computing and Cu

ltural Heritage/editore:/anno:2012</dc:source>

          <dc:date>2012</dc:date>

          <dc:identifier>http://www.cnr.it/prodotto/i/213562</dc:identifier>

          <dc:identifier>https://dx.doi.org/10.1145/2307723.2307724</dc:identifier>

          <dc:identifier>info:doi:10.1145/2307723.2307724</dc:identifier>

          <dc:relation>info:eu-repo/semantics/altIdentifier/doi/10.1145/2307723.2307724</dc:relation>

          <dc:identifier>http://dl.acm.org/citation.cfm?id=2307724&CFID=167956354&CFTOKEN=53976594</dc:identif
ier>

          <dc:relation>info:cnr-pdr/author/matricola:19458/SCOPIGNO/ROBERTO</dc:relation>

          <dc:subject>Computing methodologies</dc:subject>

          <dc:subject>Cultural heritage</dc:subject>

</oai_dc:dc>

#3 - May 24, 2019 12:58 PM - Leonardo Candela

- Subject changed from Reconsider what OpenPortal shows under the Book typology to Reconsider what OpenPortal shows under the typologies 

I see no problems/loss of information in the mapping. The issue is People side, i.e. the loss of information is in the mapping People performed at

OAI-PMH records production time. 

We should either liaise with People or put heavy corrective actions on our side, e.g. parse the HTML pages of People to get fine grained typologies to

deal with. 

The same is for products of type Other ... there is a significant amount of software product therein that is not emerging from OpenPortal. 

#4 - May 24, 2019 01:21 PM - silvia giannini

I propose to ask again People staff to extract the field Type of Product as it appears in People.

#5 - Oct 12, 2020 09:09 PM - Leonardo Candela

- Related to Feature #19950: Reconsider the harvesting pipeline to benefit from "possibly richer" metadata records  added

#6 - Oct 12, 2020 09:20 PM - Leonardo Candela

As a follow up of #19950 we should be able to correct some of missclassification of items resulting from the mapping in place in People exported

records. 

The record are now equipped with two types: the one resulting from mapping and the native one used in People.

I believe that 

many of the current books will actually become conference proceedings http://purl.org/coar/resource_type/c_f744

some of the current articles will actually become editorial http://purl.org/coar/resource_type/c_b239

#7 - Mar 10, 2021 05:13 PM - Leonardo Candela

- Priority changed from High to Urgent

#8 - Jun 30, 2021 09:37 AM - Michele Artini

- File iop_types.xlsx added

I attached a file that describes the new mapping.

#9 - Jun 30, 2021 11:06 AM - Leonardo Candela

- Status changed from New to In Progress

#10 - Jul 03, 2021 11:29 AM - Leonardo Candela

- File Screenshot 2021-07-03 at 11.27.37.png added

- Assignee changed from silvia giannini to Michele Artini

- % Done changed from 0 to 80

The new mappings are in place. It looks fine to me but the 2 "Part of book or chapter of book" and "Contribution to book" ... we should use only the

latter one. 

Every object that is now in "Part of book or chapter of book" should go in "Contribution to book".

#11 - Jul 05, 2021 09:33 AM - Michele Artini

- Status changed from In Progress to Completed

I updated the vocabulary, now the portal shows only  "Contribution to book" (708 results).

Files

iop_types.xlsx 8.72 KB Jun 30, 2021 Michele Artini
Screenshot 2021-07-03 at 11.27.37.png 208 KB Jul 03, 2021 Leonardo Candela
